cern.colt

## Class Version

- java.lang.Object
- - cern.colt.Version

    public final class Version
    extends java.lang.Object

Information about the current release. Use this class to distinguish releases and base runtime decisions upon. Versions are of the form `Major.Minor.Micro.Build`, e.g. `1.0.0.52`

You can most easily display version info by running `java cern.colt.Version`.

### Method Summary

Methods
`static java.lang.String` `asString()` Returns all version information as string.
`static java.lang.String` `getBuildTime()` Returns the time this release was build; for example "Tue Apr 11 11:50:39 CEST 2000".
`static int` `getBuildVersion()` Returns the build version of this release.
`static int` `getMajorVersion()` Returns the major version of this release.
`static int` `getMicroVersion()` Returns the micro version of this release.
`static int` `getMinorVersion()` Returns the minor version of this release.
`static void` `main(java.lang.String[] args)` Prints `asString` on `System.out`.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### asString

    public static java.lang.String asString()

Returns all version information as string.

#### getBuildTime

    public static java.lang.String getBuildTime()

Returns the time this release was build; for example "Tue Apr 11 11:50:39 CEST 2000".

#### getBuildVersion

    public static int getBuildVersion()

Returns the build version of this release.

#### getMajorVersion

    public static int getMajorVersion()

Returns the major version of this release.

#### getMicroVersion

    public static int getMicroVersion()

Returns the micro version of this release.

#### getMinorVersion

    public static int getMinorVersion()

Returns the minor version of this release.

#### main

    public static void main(java.lang.String[] args)

Prints `asString` on `System.out`.

Parameters:
  `args` - ignored.